For the complete documentation index, see llms.txt. This page is also available as Markdown.

Community Themes endpoints

About Droptop Community Themes

Get Droptop Community Themes

get

Gets all the Community Themes of Droptop

Responses
200

Successful operation

application/json

The Community Themes object

get/community-themes
GET /v1/community-themes HTTP/1.1
Host: api.droptopfour.com
Accept: */*
200

Successful operation

{
  "apps": [
    {
      "Theme": {
        "id": 1,
        "uuid": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text",
        "author": "text",
        "author_id": 1,
        "author_link": "example.com",
        "desc": "text",
        "version": "text",
        "official_link": "example.com",
        "direct_download_link": "example.com",
        "secondary_link": "example.com",
        "image_url": "example.com",
        "authorised_members": [
          1
        ],
        "hidden": 1,
        "changelog": [
          {
            "version": "text",
            "changenotes": "text"
          }
        ]
      }
    }
  ]
}

Get a specific Community Theme

get

Gets a specific Community Theme by id

Path parameters
idintegerRequired

A numeric id

Responses
200

Successful operation

application/json

The Community Theme object

get/community-themes/{id}
GET /v1/community-themes/{id} HTTP/1.1
Host: api.droptopfour.com
Accept: */*
{
  "Theme": {
    "id": 1,
    "uuid": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "author": "text",
    "author_id": 1,
    "author_link": "example.com",
    "desc": "text",
    "version": "text",
    "official_link": "example.com",
    "direct_download_link": "example.com",
    "secondary_link": "example.com",
    "image_url": "example.com",
    "authorised_members": [
      1
    ],
    "hidden": 1,
    "changelog": [
      {
        "version": "text",
        "changenotes": "text"
      }
    ]
  }
}

Downloads a specific Community Theme

get

Downloads a specific Community Theme by id

Path parameters
idintegerRequired

A numeric id

Responses
303

Redirects to the direct download link of the Community App

No content

get/community-themes/{id}/download
GET /v1/community-themes/{id}/download HTTP/1.1
Host: api.droptopfour.com
Accept: */*

No content

Get a specific Community App by id

get

Gets a specific Community App by id

Responses
303

Redirects to the root request if the id parameter is empty/none

No content

get/community-themes/id
GET /v1/community-themes/id HTTP/1.1
Host: api.droptopfour.com
Accept: */*
303

Redirects to the root request if the id parameter is empty/none

No content

Get a specific Community App by id

get

Gets a specific Community App by id

Path parameters
idintegerRequired

A numeric id

Responses
200

Successful operation

application/json

The Community App object

get/community-themes/id/{id}
GET /v1/community-themes/id/{id} HTTP/1.1
Host: api.droptopfour.com
Accept: */*
{
  "App": {
    "id": 1,
    "uuid": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "author": "text",
    "author_id": 1,
    "author_link": "example.com",
    "desc": "text",
    "version": "text",
    "official_link": "example.com",
    "direct_download_link": "example.com",
    "secondary_link": "example.com",
    "image_url": "example.com",
    "authorised_members": [
      1
    ],
    "hidden": 1,
    "changelog": [
      {
        "version": "text",
        "changenotes": "text"
      }
    ]
  }
}

Downloads a specific Community App by id

get

Downloads a specific Community App by id

Path parameters
idintegerRequired

A numeric id

Responses
303

Redirects to the direct download link of the Community App

No content

get/community-themes/id/{id}/download
GET /v1/community-themes/id/{id}/download HTTP/1.1
Host: api.droptopfour.com
Accept: */*

No content

Get a specific Community App by name

get

Gets a specific Community App by name

Responses
303

Redirects to the root request if the name parameter is empty/none

No content

get/community-themes/name
GET /v1/community-themes/name HTTP/1.1
Host: api.droptopfour.com
Accept: */*
303

Redirects to the root request if the name parameter is empty/none

No content

Get a specific Community App by name

get

Gets a specific Community App by name

Path parameters
namestringRequired

A string

Responses
200

Successful operation

application/json

The Community App object

get/community-themes/name/{name}
GET /v1/community-themes/name/{name} HTTP/1.1
Host: api.droptopfour.com
Accept: */*
{
  "App": {
    "id": 1,
    "uuid": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "author": "text",
    "author_id": 1,
    "author_link": "example.com",
    "desc": "text",
    "version": "text",
    "official_link": "example.com",
    "direct_download_link": "example.com",
    "secondary_link": "example.com",
    "image_url": "example.com",
    "authorised_members": [
      1
    ],
    "hidden": 1,
    "changelog": [
      {
        "version": "text",
        "changenotes": "text"
      }
    ]
  }
}

Downloads a specific Community App by name

get

Downloads a specific Community App by name

Path parameters
namestringRequired

A string

Responses
303

Redirects to the direct download link of the Community App

No content

get/community-themes/name/{name}/download
GET /v1/community-themes/name/{name}/download HTTP/1.1
Host: api.droptopfour.com
Accept: */*

No content

Get a specific Community App by uuid

get

Gets a specific Community App by uuid

Responses
303

Redirects to the root request if the uuid parameter is empty/none

No content

get/community-themes/uuid
GET /v1/community-themes/uuid HTTP/1.1
Host: api.droptopfour.com
Accept: */*
303

Redirects to the root request if the uuid parameter is empty/none

No content

Get a specific Community App by uuid

get

Gets a specific Community App by uuid

Path parameters
uuidstring · uuidRequired

An uuid

Responses
200

Successful operation

application/json

The Community App object

get/community-themes/uuid/{uuid}
GET /v1/community-themes/uuid/{uuid} HTTP/1.1
Host: api.droptopfour.com
Accept: */*
{
  "App": {
    "id": 1,
    "uuid": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "author": "text",
    "author_id": 1,
    "author_link": "example.com",
    "desc": "text",
    "version": "text",
    "official_link": "example.com",
    "direct_download_link": "example.com",
    "secondary_link": "example.com",
    "image_url": "example.com",
    "authorised_members": [
      1
    ],
    "hidden": 1,
    "changelog": [
      {
        "version": "text",
        "changenotes": "text"
      }
    ]
  }
}

Downloads a specific Community App by uuid

get

Downloads a specific Community App by uuid

Path parameters
uuidstring · uuidRequired

An uuid

Responses
303

Redirects to the direct download link of the Community App

No content

get/community-themes/uuid/{uuid}/download
GET /v1/community-themes/uuid/{uuid}/download HTTP/1.1
Host: api.droptopfour.com
Accept: */*

No content

Gets the number of downloads of a Community Theme

get

Gets the number of downloads of a Community Theme

Path parameters
uuidstring · uuidRequired

An uuid

Responses
200

Successful operation

application/json
uuidstring · uuidOptional

An uuid

downloadsintegerOptional

The number of downloads.

get/downloads/community-themes/{uuid}
GET /v1/downloads/community-themes/{uuid} HTTP/1.1
Host: api.droptopfour.com
Accept: */*
{
  "uuid": "123e4567-e89b-12d3-a456-426614174000",
  "downloads": 1
}

Adds one to the number of downloads of a Community Theme

post

Adds one to the number of downloads of a Community Theme

Authorizations
AuthenticationstringRequired
Path parameters
uuidstring · uuidRequired

An uuid

Responses
200

Successful operation

application/json
uuidstring · uuidOptional

An uuid

downloadsintegerOptional

The number of downloads.

post/downloads/community-themes/{uuid}
POST /v1/downloads/community-themes/{uuid} HTTP/1.1
Host: api.droptopfour.com
Authentication: YOUR_API_KEY
Accept: */*
{
  "uuid": "123e4567-e89b-12d3-a456-426614174000",
  "downloads": 1
}

Last updated